Mailinglist Archive: opensuse-factory (536 mails)

< Previous Next >
Re: [opensuse-factory] 100% X CPU usage in recent TW, seems touchpad-related
  • From: Knurpht - Gertjan Lettink <knurpht@xxxxxxxxxxxx>
  • Date: Wed, 10 Jan 2018 15:02:21 +0100
  • Message-id: <6510219.I05ebpaseL@knurpht-hp>
Op woensdag 10 januari 2018 14:51:07 CET schreef Hadrien Grasland:
Le 10/01/2018 à 13:24, Knurpht - Gertjan Lettink a écrit :
Op woensdag 10 januari 2018 08:45:36 CET schreef Hadrien Grasland:
Hi all,

If I try to upgrade my laptop (Gigabyte P35X), which currently runs
20171211, to any recent Tumbleweed snapshot (at least since 20171223, I
don't know if it was there before), X goes spinning at 100% CPU usage
and my X11 log becomes full of "(EE) ETPS/2 Elantech Touchpad: Read
error 9". The touchpad otherwise seems to work normally, but the fan
noise and battery drain are obviously unwelcome.

Do you have any tips on how to narrow this down to a precise component /
update and send appropriate bug reports upstream? I did not see anything
in the snapshot announcements that I could obviously relate to Elantech
touchpads or the way X11 handles them, aside from some bugfix libinput
updates in 20171213 and 20171220. But the Linux UI stack is very complex
and there were quite a lot of updates in the 20171211-20171223 period,
so I may have missed something important.

Cheers,
Hadrien

Exactly how are you performing the upgrade ??
Nothing related? How about kernel-updates ??

I am performing upgrades via "zypper dup"

I tried to look again more carefully for suspicious updates in the
period of interest. Indeed, I missed a couple of things in my first
investigation, including some kernel updates.

To my uninformed eye, here are the updates from that 20171211 ->
20171223 period that I could imagine being potentially involved in a
touchpad bug, erring on the side of false positives:

* dbus: 1.10.20 -> 1.12.2 (20171215)
* fwupd 1.0.0 -> [unversioned] (20171220) -> 1.0.2 (20171222) ->
[unversioned] (20171223)
* glibc patches (20171216)
* kernel: 4.14.4 -> 4.14.5 (20171214) -> 4.14.6 (20171215) -> 4.14.8
(20171223)
* kernel-firmware: 20171125 -> 20171204 (20171212)
* libinput: 1.9.2 -> 1.9.3 (20171213) -> 1.9.4 (20171220)

I did not find any particularly suspicious changelog in any of these
updates, but AFAIK libinput is where the modern drivers for synaptics
touchpads are located and there were quite a lot of kernel patches in
the USB stack (which is, AFAIK, how the touchpad is internally connected
in that laptop), so I think these two are the biggest suspects at this
point in time.

Any tips for narrowing down the cause further? For example, is there a
way to install older Tumbleweed snapshots, instead of merely updating to
the latest one? It would help bisect the issue in this kind of situation.

Cheers,
Hadrien
If you use btrfs you should be able to boot in previous snapshots. It is not
possible to install older TW snapshots. That would require copies of the repos
on every snapshots, which would come at huge costs.

--
Gertjan Lettink, a.k.a. Knurpht

openSUSE Board Member
openSUSE Forums Team


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >